----------------------------------------------------------------------------
-- Copyright (c) 2015 Turishev Evgeniy <ew_turi@mail.ru>                  --
-- This file is licensed under the GNU General Public License version 3   --
--  or any later version.                                                 --
----------------------------------------------------------------------------

with Interfaces; use Interfaces;

package body Bitmaps is

   ------------------
   -- Bitmap_Width --
   ------------------

   function Bitmap_Width (Bmp : Bitmap) return Unsigned_8 is
   begin
      return Bmp'Last (2) - Bmp'First (2) + 1;
   end Bitmap_Width;

   -------------------
   -- Bitmap_Height --
   -------------------

   function Bitmap_Height (Bmp : Bitmap) return Unsigned_8 is
   begin
      return (Bmp'Last (1) - Bmp'First (1) + 1) * 8;
   end Bitmap_Height;

end Bitmaps;
