#! /bin/sh

OBJ=obj
SUPPORT="../sam4s-ravenscar-support"
GENERAL_OPT="-v -Xmode=debug"

if [ ! -d ./obj ]
then
    mkdir obj
fi

rm -f $OBJ/* lib/*

gprbuild proj.gpr $GENERAL_OPT --create-map-file=demo_ram.map -XLOADER=USER \
            -largs -T ${SUPPORT}/proj-ram.ld

arm-eabi-objdump -h -S ${OBJ}/proj_ram.elf > ${OBJ}/proj_ram.lss

gprbuild proj.gpr $GENERAL_OPT --create-map-file=proj_rom.map -XLOADER=ROM

arm-eabi-objdump -h -S ${OBJ}/proj_rom.elf > ${OBJ}/proj_rom.lss
