----------------------------------------------------------------------------
-- Copyright (c) 2015 Turishev Evgeniy <ew_turi@mail.ru>                  --
-- This file is licensed under the GNU General Public License version 3   --
--  or any later version.                                                 --
----------------------------------------------------------------------------

package Demo_Proc is
   type Demo_Type is access procedure (Start : Boolean := False);

   procedure Demo_Draw (Start : Boolean := False);
   procedure Demo_Text (Start : Boolean := False);
   procedure Demo_Chart_1 (Start : Boolean := False);
   procedure Demo_Chart_2 (Start : Boolean := False);
   procedure Demo_Chart_3 (Start : Boolean := False);
   procedure Demo_Buffered (Start : Boolean := False);

   Demo_List : array (1 .. 6) of Demo_Type :=
     (Demo_Text'Access, Demo_Draw'Access, Demo_Buffered'Access,
      Demo_Chart_1'Access, Demo_Chart_2'Access, Demo_Chart_3'Access);

   procedure Pause_Toggle;
end Demo_Proc;
