----------------------------------------------------------------------------
-- Copyright (c) 2015 Turishev Evgeniy <ew_turi@mail.ru>                  --
-- This file is licensed under the GNU General Public License version 3   --
--  or any later version.                                                 --
----------------------------------------------------------------------------

with Interfaces; use Interfaces;
with SAM4S_Init;
with XSTK_Board;
with Timer;
with Light_Sens;
with XSTK_Oled1_Board;

procedure Main
is
   Pause : Boolean := False;
begin
   SAM4S_Init.Init;

   XSTK_Board.Init;

   XSTK_Board.LED0_Off;

   Light_Sens.Init;

   loop
      if XSTK_Oled1_Board.Button (2) then
         Pause := not Pause;
      end if;

      XSTK_Board.LED0_Toggle;

      if not Pause then
          Light_Sens.Update;
      end if;
      Timer.Wait (200);
   end loop;
end Main;
