----------------------------------------------------------------------------
-- Copyright (c) 2015 Turishev Evgeniy <ew_turi@mail.ru>                  --
-- This file is licensed under the GNU General Public License version 3   --
--  or any later version.                                                 --
----------------------------------------------------------------------------

with Interfaces; use Interfaces;
with Bitmaps;

package Font is
   pragma Pure;

   Font_Width : constant Unsigned_8 := 8;

   -- one row buffer type of bitmap
   subtype Glyph_Type is Bitmaps.Bitmap (0 .. 0, 0 .. Font_Width - 1);

   function Get_Glyph (Char : Character) return Glyph_Type;
end Font;
