----------------------------------------------------------------------------
-- Copyright (c) 2015 Turishev Evgeniy <ew_turi@mail.ru>                  --
-- This file is licensed under the GNU General Public License version 3   --
--  or any later version.                                                 --
----------------------------------------------------------------------------

with IO_Ports; use IO_Ports;

package XSTK_Board is
   pragma Preelaborate;

   Led0_Port : constant Port_Id  := Port_C;
   Led0_Pin  : constant := 23;

   SW0_Button_Port : constant Port_Id  := Port_A;
   SW0_Button_Pin  : constant Port_Pin := 2;

   procedure Init;
   function SW0_Button return Boolean with Inline;
   procedure LED0_On with Inline;
   procedure LED0_Off with Inline;
   procedure LED0_Toggle with Inline;

end XSTK_Board;
