#! /bin/sh
NAME=proj

INSTALL=/usr/gnat

ZFP_SUP_FILES=../sam4s-zfp-support
OBJ=obj

rm -f $OBJ/* lib/*

GENERAL_OPT="-v -Xmode=debug"

gprbuild  ${NAME}.gpr ${GENERAL_OPT} -XLOADER=SAMBA --create-map-file=${NAME}_ram.map \
            -largs -lgnat -nostdinc -nodefaultlibs -nostartfiles

arm-eabi-objdump -h -S ${OBJ}/${NAME}_ram.elf > ${OBJ}/${NAME}_ram.lss


gprbuild  ${NAME}.gpr ${GENERAL_OPT} -XLOADER=ROM --create-map-file=${NAME}_rom.map \
            -largs -nostdinc -nodefaultlibs -nostartfiles

arm-eabi-objdump -h -S ${OBJ}/${NAME}_rom.elf > ${OBJ}/${NAME}_rom.lss
